Yii Framework Forum: [extension] qtip - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

[extension] qtip tooltip widget with activeform validation beautifier Rate Topic: ***** 1 Votes

#1 User is offline   yiimann 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 102
  • Joined: 19-December 09

Posted 04 April 2010 - 03:44 PM

qtip is widget extension that makes the use easier of the jquery qTip plugin and that also beautify CActiveForm with or without ajax validation enabled - and adding also hints tooltips.

Try it here http://www.yiiframew...?r=site/contact

I'm working on the first beta release that should out in a few days.

Comments are welcome.
3

#2 User is offline   Maro 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 26
  • Joined: 19-January 10

Posted 17 July 2010 - 05:29 AM

Hi,
it's exactly what I need but can't find any source to download it can anyone help?:S
0

#3 User is offline   Junior - df9 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 416
  • Joined: 24-May 09
  • Location:Brazil

Posted 17 July 2010 - 05:15 PM

me either, looking forward to using this extension!!!

:)
______________________________________
Junior
df9.com.br
Linux Registered User #364954
GNU/Linux: together we're ready!
0

#4 User is offline   StErMi 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 259
  • Joined: 30-March 09

Posted 13 September 2010 - 12:20 PM

can you please give us a download link for qtip extension?

Thank you :)
0

#5 User is offline   Parcouss 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 18
  • Joined: 12-September 10
  • Location:Toulouse, France

Posted 15 September 2010 - 06:19 PM

I'd like to have this extension, and I wrote one as it is unavalaible. I'll post it soon.
0

#6 User is offline   Parcouss 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 18
  • Joined: 12-September 10
  • Location:Toulouse, France

Posted 15 September 2010 - 07:03 PM

That's done. you can download it here. Don't hesitate to post comments.
0

#7 User is offline   macinville 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 268
  • Joined: 25-October 10
  • Location:Marikina City, Philippines

Posted 23 January 2011 - 02:11 AM

I have just downloaded qtip2, but I encountered the error
Redefining already defined constructor for class QTip 

/mysite/protected/extensions/qtip/QTip.php(59)

47* @param minify bool true to select the minified js script
48      */
49     public static function qtip($jsSelector, $options = array(), $minify = true) {
50         if (! empty($minify)) self::registerScript(self::scriptName($minify));
51 
52         Yii::app()->clientScript->registerScript(__CLASS__.$jsSelector, '$("'.$jsSelector.'").qtip('.CJavaScript::encode($options).');');
53     }
54     
55     public $minify = true; // true to select the minified js script
56     
57     public $options = array(); // array general qtip js options
58     
59     public function __construct($params = array()) {
60         foreach ($params as $p => $val) $this->$p = $val;
61     }
62     
63     /**
64      * @brief instance method to apply qtip on a widget or on any html item. can override general options.
65      * @param widgetOrSelector mixed  a widget instance or a jquery selector
66      * @param specific_opts specific options to pass to qtip javascript code
67      */
68     public function addQTip($widgetOrSelector, $specific_opts = array()) {
69         $jsSelector = is_string($widgetOrSelector) ?  $widgetOrSelector : '#'.$widgetOrSelector->id;
70         self::qtip($jsSelector, array_merge($this->options, $specific_opts), $this->minify);
71     }


Does anybody encountered this too? Is it because I am using Yii 1.1.6? How can I fix this?
Tell your tail.
Don't be shy to upvote a post if it was able to help you
0

#8 User is offline   macinville 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 268
  • Joined: 25-October 10
  • Location:Marikina City, Philippines

Posted 23 January 2011 - 10:56 PM

BUMP!
Tell your tail.
Don't be shy to upvote a post if it was able to help you
0

#9 User is offline   macinville 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 268
  • Joined: 25-October 10
  • Location:Marikina City, Philippines

Posted 24 January 2011 - 07:31 AM

The error was caused by E_STRICT in php.ini. Removing or replacing it solves the problem. I'm using PHP Version 5.3.3-1ubuntu9.3
Tell your tail.
Don't be shy to upvote a post if it was able to help you
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users